////////////////////////////
function getRandom(min, max)
{
    return (Math.random() * (max - min)) + min;
}

function getRandomInt(min, max)
{
    return Math.floor(Math.random() * (max - min + 1)) + min;
}

function toFormattedTime(input/*, withHours, roundSeconds*/)
{
//    if (roundSeconds)
//    {
//        input = Math.ceil(input); // На случай, если дробное
//    }

    //var hoursString = '00';
    var minutesString = '00';
    var secondsString = '00';
    //var hours = 0;
    var minutes = 0;
    var seconds = 0;

    //hours = Math.floor(input / (60 * 60));
    input = input % (60 * 60);

    minutes = Math.floor(input / 60);
    input = input % 60;

    seconds = input;

    //hoursString = (hours >= 10) ? hours.toString() : '0' + hours.toString();
    minutesString = (minutes >= 10) ? minutes.toString() : '0' + minutes.toString();
    secondsString = (seconds >= 10) ? seconds.toString() : '0' + seconds.toString();

    //return ((withHours) ? hoursString + ':' : '') + minutesString + ':' + secondsString;
    //return minutesString + ':' + secondsString;
    return minutesString + ':' + secondsString;
}

function getName(str, needNumber)
{
//	console.log('str = ', str);
	//console.log('str = ', /^(\w{2,})(\d+)/i.exec(str));
	var number = (needNumber ? 0 : 1);
	var s = ((/^(\w{2,})\d+/i.exec(str)) ? (/^(\w{2,})(\d+)/i.exec(str))[number] : '');

	return s;
}

function getQueryParams(qs)
{
	qs = qs.split("+").join(" ");

	var params = {}, tokens,
		re = /[?&]?([^=]+)=([^&]*)/g;

	while (tokens = re.exec(qs)) {
		params[decodeURIComponent(tokens[1])] = decodeURIComponent(tokens[2]);
	}

	return params;
}

// добавляет запятую для разделения тысяч в числе
Number.prototype.insertComma = function() {
    var s = parseInt(this).toString().split('').reverse().join('');
    var r = '';

    for (var i = 0; i < s.length; i++) {
        r += ((i > 0 && i % 3 == 0) ? ',' : '') + s.charAt(i);
    }

    return r.split('').reverse().join('');
};

// удаляет элемент массива по его значению
Array.prototype.deleteElement = function(value) {
    for (var i = 0; i < this.length; i++) {
        if (this[i] == value) {
            this.splice(i, 1);
        }
    }
};




